%{?nodejs_find_provides_and_requires}

%global packagename rollup

# Tests disabled due to missing npm(buble) package
%global enable_tests 0

Name:		nodejs-rollup
Version:	0.41.6
Release:	3%{?dist}
Summary:	Next-generation ES6 module bundler

License:	MIT
URL:		https://github.com/rollup/rollup
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	src-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buble)
%endif

%description
Next-generation ES6 module bundler


%prep
%autosetup -n package
# setup the tests and src
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package

sed -i '1s/env //' bin/rollup

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/rollup %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/rollup

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/rollup \
    %{buildroot}%{_bindir}/%{packagename}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.41.6-1
- Update to upstream 0.41.6 version

* Mon Aug 01 2016 Jared Smith <jsmith@fedoraproject.org> - 0.34.1-2
- Fix binary

* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.34.1-1
- Initial packaging
